Package org.apache.sysds.runtime.util

## Class CollectionUtils

- java.lang.Object
- - org.apache.sysds.runtime.util.CollectionUtils

-     public class CollectionUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CollectionUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> void` | `addAll​(Collection<T> a, T[] b)` |
    `static <T> ArrayList<T>` | `asArrayList​(T... inputs)` |
    `static <T> List<T>` | `asList​(List<T>... inputs)` |
    `static <T> Set<T>` | `asSet​(List<T>... inputs)` |
    `static <T> Set<T>` | `asSet​(T... inputs)` |
    `static <T> Set<T>` | `asSet​(T[]... inputs)` |
    `static <T> int` | `cardinality​(T a, List<T> b)` |
    `static <T> boolean` | `containsAny​(Collection<T> a, Collection<T> b)` |
    `static <T> boolean` | `equals​(List<T> a, List<T> b)` |
    `static <T> List<T>` | `except​(List<T> a, List<T> exceptions)` |
    `static <T> Stream<T>` | `getStream​(Iterator<T> iter)` |
    `static <T> List<T>` | `unionAll​(List<T> a, List<T> b)` |
    `static <T> List<T>` | `unionDistinct​(List<T> a, List<T> b)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectionUtils

          public CollectionUtils()

  - ### Method Detail

    - #### asList

          @SafeVarargs
          public static <T> List<T> asList​(List<T>... inputs)

    - #### asArrayList

          @SafeVarargs
          public static <T> ArrayList<T> asArrayList​(T... inputs)

    - #### asSet

          @SafeVarargs
          public static <T> Set<T> asSet​(T... inputs)

    - #### asSet

          @SafeVarargs
          public static <T> Set<T> asSet​(T[]... inputs)

    - #### asSet

          @SafeVarargs
          public static <T> Set<T> asSet​(List<T>... inputs)

    - #### getStream

          public static <T> Stream<T> getStream​(Iterator<T> iter)

    - #### equals

          public static <T> boolean equals​(List<T> a,
                                           List<T> b)

    - #### containsAny

          public static <T> boolean containsAny​(Collection<T> a,
                                                Collection<T> b)

    - #### unionDistinct

          public static <T> List<T> unionDistinct​(List<T> a,
                                                  List<T> b)

    - #### unionAll

          public static <T> List<T> unionAll​(List<T> a,
                                             List<T> b)

    - #### except

          public static <T> List<T> except​(List<T> a,
                                           List<T> exceptions)

    - #### addAll

          public static <T> void addAll​(Collection<T> a,
                                        T[] b)

    - #### cardinality

          public static <T> int cardinality​(T a,
                                            List<T> b)